DAB(6) | Games Manual | DAB(6)

# NAME

dab — Dots and Boxes game

# SYNOPSIS

dab | [-aw] [-n ngames] [-p <c|h><c|h>] [xdim [ydim]]

# DESCRIPTION

dab is a game where each player tries to complete the most boxes. A turn consists of putting one border of a box; the player setting the fourth and final border of a box gets the point for the box and has another turn.

The keys used are the vi keys: k for up, j for down, h for left, and l for right. To switch between even and odd rows, use one of the following keys: u (diagonal right up), y (diagonal left up), b (diagonal left down), n (diagonal right down); <space> sets a new border, CTRL-L and CTRL-R redraw the screen, and q quits the game.

Support options are:

-a
  Don't use the alternate character set.
-n ngames
  ngames games will be played. (Especially useful in -p cc mode.)
-p <c|h><c|h>
  Select which of the two players is a human or a computer. The first argument is the first player; c stands for computer and h for human.
-w
  Wait for a character press between games.

xdim and ydim define the size of the board in the x and y dimensions. If the dimensions specified are 0 then the maximum dimensions for the size of the screen are used.

# SEE ALSO

Elwyn R. Berlekamp, The Dots and Boxes Game: Sophisticated Child's Play, A K Peters, http://www.akpeters.com/book.asp?bID=111, 2000.

# AUTHORS

Christos Zoulas <christos@NetBSD.org>

October 7, 2012 | NetBSD 7.2